!compute force and potential energy from position
! by D.Jost 09/10/09

subroutine force(pos,for,Epot)

implicit none

include 'global.var'

real*8,dimension(N,3)	::pos,for
real*8	::Epot

real*8	::r2,r2i,r6i,ff
real*8,dimension(3)	::dr !linking vector
integer	::i,j,k

Epot=0
for=0

do i=1,N-1
	do j=i+1,N
		dr=pos(i,:)-pos(j,:)
		do k=1,3 !periodic boundary condition
			dr(k)=dr(k)-box*nint(dr(k)/box)
		end do
		r2=dr(1)**2+dr(2)**2+dr(3)**2
		if (r2.lt.(rcut*rcut)) then
			r2i=1d0/r2
			r6i=r2i**3
			ff=48d0*r2i*r6i*(r6i-0.5d0)
			for(i,:)=for(i,:)+ff*dr
			for(j,:)=for(j,:)-ff*dr
			Epot=Epot+4d0*r6i*(r6i-1d0)-ecut
		end if
	end do
end do
Epot=Epot/real(N)


return

end subroutine force