!initialize the system
!by D.Jost 09/10/09

subroutine init(pos,vel,Ekin)

implicit none
include 'global.var'

real*8,dimension(N,3)	::pos,vel
real*8	::Ekin

real*8,dimension(3)	::sumv !velocity of the center of mass
real*8	::sumv2 !mean-squared velocity

real*8	::fs,l,randomnumber
integer	::i,p,ix,iy,iz

sumv=0
sumv2=0

p=int(real(N)**0.33333d0)+1
l=box/real(p)

do i=1,N
	ix=mod(i-1,p)
	iy=mod((i-1-ix)/p,p)
	iz=(i-1)/(p*p)
	pos(i,1)=box/2d0-(p-1)*l/2d0+ix*l
	pos(i,2)=box/2d0-(p-1)*l/2d0+iy*l
	pos(i,3)=box/2d0-(p-1)*l/2d0+iz*l
	vel(i,1)=randomnumber()-0.5d0
	vel(i,2)=randomnumber()-0.5d0
	vel(i,3)=randomnumber()-0.5d0
	sumv=sumv+vel(i,:)
	sumv2=sumv2+(vel(i,1)**2+vel(i,2)**2+vel(i,3)**2d0)
end do

sumv=sumv/real(N)
sumv2=sumv2/real(N)

fs=sqrt(3*Temp/sumv2) !scale factor of the velocities 

!renormalize the velocities
sumv2=0d0
do i=1,N
	vel(i,:)=(vel(i,:)-sumv)*fs
	sumv2=sumv2+(vel(i,1)**2+vel(i,2)**2+vel(i,3)**2d0)
end do

!initial kinetic energy
Ekin=sumv2/(2d0*N)

return

end subroutine init