!integrate the equation of motion with velocity verlet algorithm
!by D.Jost 09/10/09

subroutine integrate(pos,vel,for,Epot,Ekin)

implicit none

include 'global.var'

real*8,dimension(N,3)	::pos,vel,for,for1
real*8	::Ekin,Epot

integer	::i,j


!compute the new positions
do i=1,N
	pos(i,:)=pos(i,:)+vel(i,:)*dt+for(i,:)*dt*dt/2d0
	do j=1,3
		if (pos(i,j).ge.box) pos(i,j)=pos(i,j)-box
		if (pos(i,j).lt.0) pos(i,j)=pos(i,j)+box
	end do
end do

!compute the new forces
call force(pos,for1,Epot)

!compute the new velocities
Ekin=0
do i=1,N
	vel(i,:)=vel(i,:)+(for(i,:)+for1(i,:))/2d0*dt
	Ekin=Ekin+(vel(i,1)**2+vel(i,2)**2+vel(i,3)**2)/2d0
end do
Ekin=Ekin/real(N)
for=for1

return

end subroutine