
!Molecular dynamics for lennard-jones potential
! by D.Jost 09/10/09

program mainmd

implicit none

include 'global.var' !include global variables

real*8,allocatable	::pos(:,:),vel(:,:),for(:,:)
real*8	::Epot,Ekin
integer	::time
real*8	::tmm

open(10,file='input.dat')
read(10,*) N !number of particles
read(10,*) rho !density
read(10,*) Temp !initial temperature
read(10,*) tmax !simulated time
read(10,*) dt !time step
read(10,*) wdt !number of time step between two position recordings
close(10)
box=(N/rho)**(0.333333d0) !size of the box
rcut=box/2d0
ecut=4d0*(1d0/rcut**12-1d0/rcut**6)

write(*,*) 'number of particles:',N,'density:',rho,'box length:',box

!initialize random generator
call SYSTEM_CLOCK(time)
tmm=real(time)
tmm=tmm/(10d0**(real(int(dlog(tmm)/dlog(10d0)))))
call initializerandomnumbergenerator(tmm)


open(10,file='energy.out')
open(11,file='position.xyz')

!allocate position, velocity and force vectors
allocate(pos(N,3))
allocate(vel(N,3))
allocate(for(N,3))

!initialize the system
call init(pos,vel,Ekin)
call force(pos,for,Epot)
!save position and energies
call savedata(pos,Epot,Ekin)

!do the MD
t=0
do while (t.lt.tmax)
	call integrate(pos,vel,for,Epot,Ekin)
	t=t+dt
	if (mod(int(t/dt),wdt).eq.0) call savedata(pos,Epot,Ekin)
end do

close(10)
close(11)

end program mainmd